#
# Makefile for GNU make (`gmake`)
#
SIZES_AND_RESOS= 128:72 64:36 32:18
FILENAME_PREFIX= transyMjolnir_
SRC= transyMjolnir.ps
OFILES=

define MAKE_RULE =
OFILES+= $(FILENAME_PREFIX)$(1)x$(1).png
$(FILENAME_PREFIX)$(1)x$(1).png: $(SRC)
	./ps2png.sh $$^ $$@ $(1) $(2)
endef

$(foreach i,$(SIZES_AND_RESOS),$(eval \
$(call MAKE_RULE,$(firstword $(subst :, ,$(i))),\
                 $(lastword $(subst :, ,$(i))))))


all: $(OFILES)

clean:
	rm *.png

.PHONY: all clean
.DEFAULT_GOAL:= all

